POST api/batchapi/analysisresult/generate
Request Information
URI Parameters
None.
Body Parameters
GenerateAnalysisLogViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| particle_counter_id | globally unique identifier |
None. |
|
| batch_id | globally unique identifier |
None. |
|
| compartment_number | integer |
None. |
|
| witness_id | globally unique identifier |
None. |
|
| vet_id | integer |
None. |
Request Formats
application/json, text/json
Sample:
{
"particle_counter_id": "c02f9197-c65a-48a0-858a-bc0446eb066a",
"batch_id": "c28447a1-fd31-470e-901b-58f9be2f56df",
"compartment_number": 3,
"witness_id": "994513d9-4e06-4270-8c02-70eb6790d216",
"vet_id": 1
}
application/xml, text/xml
Sample:
<generate_analysis_log xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel"> <batch_id>c28447a1-fd31-470e-901b-58f9be2f56df</batch_id> <compartment_number>3</compartment_number> <particle_counter_id>c02f9197-c65a-48a0-858a-bc0446eb066a</particle_counter_id> <vet_id>1</vet_id> <witness_id>994513d9-4e06-4270-8c02-70eb6790d216</witness_id> </generate_analysis_log>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
None.